ratio <- function( data1, data2, k=31 ) # common in time
{
	a <- max( min(data1$days), min(data2$days) )
	b <- min( max(data1$days), max(data2$days) )
	ind1 <- data1$days >= a & data1$days <= b
	ind2 <- data2$days >= a & data2$days <= b

#	x <- cbind(data1$lat[ind1], data2$lat[ind2])
#	y <- cbind(data1$long[ind1], data2$long[ind2])

	par(mfrow=c(2,1))
	x <- spectrum(diff(data1$lat[ind1]), spans=k, plot=F)
	y <- spectrum(diff(data2$lat[ind2]), spans=k, plot=F)
	plot(x$freq, x$spec, type='n', ylim=range(x$spec, y$spec))
	lines(x$freq, x$spec, col=2)
	lines(y$freq, y$spec, col=3)
	
	J <- y$spec / x$spec
	plot(x$freq, J, type='l', col=4)
	
	par(mfrow=c(1,1))
	data.frame(y=log(J), x=x$freq, x2=x$freq^2)
}

compare.pgram2 <- function( data1, data2 ) # common in length
{
	len <- min(dim(data1)[1], dim(data2)[1])
	x <- cbind(data1$lat[1:len], data2$lat[1:len])
	y <- cbind(data1$long[1:len], data2$long[1:len])

	par(mfrow=c(2,2))
	a <- spectrum(diff(x, diff=2), plot=T)
	b <- spectrum(diff(y, diff=2), plot=T)

	plot(m <- a$spec[,2]/a$spec[,1])
	plot(n <- b$spec[,2]/b$spec[,1])
#	hist(m)
#	hist(n)
	invisible()
}

